<?php

namespace App\View\Components;

use App\Models\OwnerTransaction as ModelsOwnerTransaction;
use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class OwnerTransaction extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public ModelsOwnerTransaction $owner
    )
    {
        //
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.owner-transaction');
    }
}
