<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\PurchasingInformation>
 */
class PurchasingInformationFactory extends Factory
{
    /**
     * Define the model's default state.
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'price' => $this->faker->word(),
            'timestamp_warranty_end' => $this->faker->unixTime(),
            'timestamp_purchase' => $this->faker->unixTime(),
            'cost_centre' => $this->faker->numberBetween(1000000000, 9999999999),
            'seller' => $this->faker->company()
        ];
    }
}
