<!DOCTYPE html>
<html>

<head>
    <title>Device Manager</title>
</head>

<body>
    <nav>
        <ul>
            <li><a href="/home">Home</a></li>
            @auth
                <li>Welcome {{ auth()->user()->full_name }}</li>
                <li>
                    <form class="inline" method="POST" action="/logout">
                        @csrf
                        <button type="submit">Logout</button>
                    </form>
                </li>
            @else
                <li><a href="/register">Register</a></li>
                <li><a href="/login">Login</a></li>
            @endauth
        </ul>
    </nav>
    <main>
        <h1>Device Manager</h1>
        <div class="container">
            @yield('content')
        </div>
    </main>
    <footer>
        <p>&copy; 2023 My Website. All rights reserved.</p>
    </footer>
</body>

</html>